#
# spec file for package enlightenment (Version 0.16.8.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip imlib2 imlib2-devel info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           enlightenment
%define enable_fsstd       1
%define enable_sound       1
%define enable_hints_ewmh  1
%define enable_hints_gnome 1
%define enable_ecore_x     0
%define enable_zoom        1
%define enable_xrandr      1
%define enable_composite   1
License:        BSD License and BSD-like
Group:          System/GUI/Other
Provides:       windowmanager
Obsoletes:      enlight
Autoreqprov:    on
Summary:        A Good-Looking Window Manager for the X Window System
URL:            http://www.enlightenment.org
Version:        0.16.8.1
Release:        29
BuildRequires:  imlib2-devel >= 1.2.0
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11
BuildRequires:  pkgconfig
%if %enable_sound
BuildRequires:  alsa-devel
BuildRequires:  esound-devel
%endif
%if %enable_ecore_x
BuildRequires:  ecore-devel
%endif
Source:         e16-%{version}.tar.bz2
Patch:          enlightenment-%{version}-susemenu.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Enlightenment is a window manager for the X Window System that is
designed to be powerful, extensible, configurable, and very good
looking. It is one of the more graphically intense window managers.

Enlightenment goes beyond managing windows by providing a useful and
appealing graphical shell from which to work. It is open in design and,
instead of dictating a policy, it allows the user to define their own
policy, down to every last detail.



Authors:
--------
    Carsten Haitzler <raster@rasterman.com>
    Geoff Harrison <mandrake@lobotomy.com>

%debug_package
%prep
%setup -q -n e16-%{version}
%patch

%build
autoreconf -fi
./configure \
        --prefix=%{_prefix} \
        --mandir=%{_mandir} \
        --datadir=%{_datadir} \
%if %enable_fsstd
	--enable-fsstd \
%else
	--disable-fsstd \
%endif
%if %enable_sound
	--enable-sound \
%else
	--disable-sound \
%endif
%if %enable_hints_ewmh
	--enable-hints-ewmh \
%else
	--disable-hints-ewmh \
%endif
%if %enable_hints_gnome
	--enable-hints-gnome \
%else
	--disable-hints-gnome \
%endif
%if %enable_ecore_x
	--enable-ecore-x \
%else
	--disable-ecore-x \
%endif
%if %enable_zoom
	--enable-zoom \
%else
	--disable-zoom \
%endif
%if %enable_xrandr
	--enable-xrandr \
%else
	--disable-xrandr \
%endif
%if %enable_composite
	--enable-composite
%else
	--disable-composite
%endif
make 

%install
make DESTDIR=$RPM_BUILD_ROOT \
     localedir=%{_prefix}/share/locale \
     gnulocaledir=%{_prefix}/share/locale \
     install
find $RPM_BUILD_ROOT/usr/share/e16/themes -type d | xargs chmod 755
find $RPM_BUILD_ROOT/usr/share/e16/themes -type f | xargs chmod 644
rm -rf $RPM_BUILD_ROOT/usr/share/locale/no

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf  %{buildroot}

%files
%defattr(-,root,root)
#%doc /usr/share/man/man1/*
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README docs/README-0.16.8 TODO
/usr/bin/*
/usr/bin/starte16
%dir /usr/share/e16
%dir /usr/share/e16/E-docs
%dir /usr/share/e16/config
%dir /usr/share/e16/config/pix
%dir /usr/share/e16/misc
%dir /usr/share/e16/scripts
%dir /usr/share/e16/themes
%dir /usr/share/e16/themes/winter
/usr/share/e16/E-docs/*.png
/usr/share/e16/config/definitions
/usr/share/e16/config/*.cfg
/usr/share/e16/config/pix/*.png
/usr/share/e16/config/e16keyedit.db
/usr/share/e16/misc/*
/usr/share/e16/scripts/*
/usr/share/e16/themes/*/*
/usr/share/locale/*/LC_MESSAGES/e16.mo
/usr/share/xsessions/e*.desktop
%dir /usr/share/xsessions

%changelog
* Fri Feb 16 2007 - matejcik@suse.cz
- fixed wrong ${prefix} expansion that that was effectively disabling
  system-wide themes and making enlightenment unusable
  in default configuration
  (bug #246294)
* Thu Dec 14 2006 - ro@suse.de
- move from usr/X11R6 to usr
* Tue Aug 08 2006 - pnemec@suse.cz
- fix spec file to build with new gettext 0.15
* Fri Jul 14 2006 - pnemec@suse.cz
- updated to 0.16.8.1
- package enlightenment was transfered to BuildService
- cleared spec file
- removed nearly all patches
- added susemenu.diff
- themes subpackage is removed completly
* Tue Jul 04 2006 - pnemec@suse.cz
- updated to 0.16.7.2
- cleared spec file
- themes are not part of source file anymore
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 21 2005 - ro@suse.de
- added locale dirs to filelist
* Thu Oct 06 2005 - pnemec@suse.cz
- fixed uninitialized variables
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Thu Feb 10 2005 - adrian@suse.de
- install session desktop file
* Sat Mar 20 2004 - mmj@suse.de
- Compile with -fno-strict-aliasing
- Remove rogue .xvpics dirs
- Use %%_lib
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Nov 07 2003 - ltinkl@suse.cz
- update to latest stable version 0.16.6
* Mon Jun 16 2003 - kukuk@suse.de
- Use %%find_lang macro
* Mon Mar 03 2003 - pmladek@suse.cz
- fixed themes to use iso8859-* instead of iso8859-1 in config files
  to work also with East European languages, many thanks to Stanislav
  Brabec <sbrabec@suse.cz> for hint [#20658]
* Tue Nov 12 2002 - pmladek@suse.cz
- used x-devel-packages and XFree86 in neededforbuild to conform to
  the new naming scheme of the XFree86 stuff
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Mon Jun 24 2002 - ro@suse.de
- fix directories permissions
* Wed Feb 20 2002 - postadal@suse.cz
- fixed eesh to work on the first attempt
- fixed to read also menu from KDE 3
* Tue Feb 12 2002 - pmladek@suse.cz
- used %%defattr(-,root,root)
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Nov 05 2001 - pmladek@suse.cz
- added support for SuSE menu generated by susewm
- fixed test on KDE, GNOME menu presence
- added test on gnome-config presence
* Tue Oct 02 2001 - pmladek@suse.cz
- fixed menu from KDE 2
- cleaned up spec file
- removed unneeded patch for configure
* Mon Feb 19 2001 - ro@suse.de
- changed neededforbuild <libghtt> to <libghttp>
- changed neededforbuild <libghtt-devel> to <libghttp-devel>
* Fri Jan 26 2001 - violiet@suse.de
- Added korean-pack package support for Korean.
- Install international message.
* Fri Dec 29 2000 - egger@suse.de
- Fixed bug 5049 by including esound-devel.
- Use SuSE optimisation flags.
- General specfile cleanup.
* Sun Nov 05 2000 - ro@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Oct 01 2000 - egger@suse.de
- Cleaned up specfile.
- Removed unnecessary ImageMagick dependency.
- Updated to version 0.16.5.
* Mon May 15 2000 - egger@suse.de
- Updated to version 0.16.4.
* Sat Mar 04 2000 - ro@suse.de
- try to avoid specfile bug
* Tue Feb 29 2000 - grimmer@suse.de
- Update to 0.16.3 (#2026)
- reworked spec file (BuildRoot, group tag, version macro, URL)
- now uses sane path names (--enable-fsstd)
- enabled sound
- removed obsolete patches and profile script
* Fri Jan 21 2000 - ro@suse.de
- freetype is in /usr/include/freetype now
* Tue Oct 12 1999 - grimmer@suse.de
- Updated to 0.16.0
- Specfile cleanups, created more symlinks for binaries
- Added Authors to PAC file and rewrote package descriptions
* Mon Sep 20 1999 - ro@suse.de
- added Provides windowmanager
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jul 01 1999 - uli@suse.de
- changed refs to libgif to libungif
* Tue May 04 1999 - mb@suse.de
- updated to version 0.15.5 using autospec
  Fri Feb 19 16:42:56 MET 1999
- updated to version 0.14
* Thu Oct 29 1998 - ro@suse.de
- updated neededforbuild
* Sat Jul 18 1998 - mb@suse.de
- this is the SNAP release of the enlightenment window manager
- version 0.14
- the manager has been completely redesigned
* Wed Nov 05 1997 - kgw@suse.de
  first SuSE version, ready for autobuild.
